View Issue Details

IDProjectCategoryView StatusLast Update
0004671Kali Linux[All Projects] Tool Upgradepublic2018-05-18 08:25
ReporterMister_XAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.3 
Summary0004671: Aircrack-ng 1.2 rc5
DescriptionAircrack-ng 1.2 rc5 was released
Additional InformationBuild system has been changed, now switched to autools.

Instructions on how to build and new/updated requirements can be found in README.md (or INSTALLING) file provided with the source code.

Activities

Mister_X

Mister_X

2018-04-10 18:09

reporter   ~0009021

Hold on to it, there might be a final 1.2 release this week.
kimocoder

kimocoder

2018-04-15 21:08

reporter   ~0009039

There you go! Aircrack-ng v1.2 released
kimocoder

kimocoder

2018-04-20 17:59

reporter   ~0009060

@sbrun this update may be pushed. Fixes important "stuff" for other tools (like wifite2)

Thanks
sbrun

sbrun

2018-05-03 09:18

manager   ~0009087

aircrack-ng updated to version 1:1.2.0-2 in Debian but there are issues during the build on armel, amrhf and arm64.(https://tracker.debian.org/pkg/aircrack-ng)
I need to investigate more to understand what's happening.
Mister_X

Mister_X

2018-05-03 21:46

reporter   ~0009090

@sbrun Could you open bugs (1 for each platform) on the github repository with the build log of each platform: https://github.com/aircrack-ng/aircrack-ng/
sbrun

sbrun

2018-05-04 08:50

manager   ~0009093

Issues opened:
https://github.com/aircrack-ng/aircrack-ng/issues/1871
https://github.com/aircrack-ng/aircrack-ng/issues/1872
https://github.com/aircrack-ng/aircrack-ng/issues/1873
https://github.com/aircrack-ng/aircrack-ng/issues/1874
Mister_X

Mister_X

2018-05-05 00:45

reporter   ~0009100

There is an update/patch on 3 tickets so far.

Another patch you want to apply is as it fixes airserv-ng and possibly other issues: https://github.com/aircrack-ng/aircrack-ng/commit/a1dc623a053ee63e68f82088131f9ee214416221
Mister_X

Mister_X

2018-05-08 19:56

reporter   ~0009148

Please check the armhf.

Armel should be fixed by https://github.com/aircrack-ng/aircrack-ng/commit/149929109eab1f79c4b90aa423f6d6eb4ee0e882
sbrun

sbrun

2018-05-09 08:12

manager   ~0009152

builds on armhf / arm64 / ppc64el are fixed

I will test the patch for armel.
sbrun

sbrun

2018-05-18 08:25

manager   ~0009166

new version 1:1.2.0-5 is in kali-rolling

Issue History

Date Modified Username Field Change
2018-04-04 16:57 Mister_X New Issue
2018-04-04 16:57 Mister_X Status new => assigned
2018-04-04 16:57 Mister_X Assigned To => sbrun
2018-04-10 18:09 Mister_X Note Added: 0009021
2018-04-15 21:08 kimocoder Note Added: 0009039
2018-04-20 17:59 kimocoder Note Added: 0009060
2018-05-03 09:18 sbrun Note Added: 0009087
2018-05-03 21:46 Mister_X Note Added: 0009090
2018-05-04 08:50 sbrun Note Added: 0009093
2018-05-05 00:45 Mister_X Note Added: 0009100
2018-05-08 19:56 Mister_X Note Added: 0009148
2018-05-09 08:12 sbrun Note Added: 0009152
2018-05-18 08:25 sbrun Status assigned => resolved
2018-05-18 08:25 sbrun Resolution open => fixed
2018-05-18 08:25 sbrun Fixed in Version => 2018.3
2018-05-18 08:25 sbrun Note Added: 0009166